Bug 22653 - Preference RotationPreventTransfers is never used
Summary: Preference RotationPreventTransfers is never used
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Keywords: Academy
Depends on: 11897
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-07 06:38 UTC by Frédéric Demians
Modified: 2019-07-12 13:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 22653: Remove unimplemented RotationPreventTransfers system preference (3.74 KB, patch)
2019-06-17 21:16 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22653: Remove unimplemented RotationPreventTransfers system preference (3.78 KB, patch)
2019-06-18 10:29 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Demians 2019-04-07 06:38:45 UTC
What is the purpose of RotationPreventTransfers system preference? It is never used in the code. As such, shouldn't it be removed?
Comment 1 Martin Renvoize 2019-04-08 11:54:23 UTC
Ack.. it looks like during the rebase cycle of the original bug 11897 the use of it got removed :(

It should really be implemented rather than removed in my opinion.
Comment 2 Katrin Fischer 2019-04-08 21:48:33 UTC
I am not sure I can implement it, but I could write a patch to comment it in the yaml file maybe? That way it would not show up for now.
Comment 3 Martin Renvoize 2019-06-14 10:37:59 UTC
On second thoughts, lets just remove it.. plumbing in the functionality at this stage looks rather challenging.. we could always revisit the feature at a later date once some of the transfers logic has been tidied up a little.
Comment 4 Katrin Fischer 2019-06-17 21:16:53 UTC
Created attachment 90703 [details] [review]
Bug 22653: Remove unimplemented RotationPreventTransfers system preference

This removes the RotationPreventTransfers system preference
from updated and new installations.

To test:
- Verify you have the RotationPreventTransfers pref
- Apply patch and run database update
- Verify the preference no longer exists in your system
  - in the sys pref editor
  - in your database:

SELECT * from systempreferences WHERE variable = "RotationPreventTransfers";
Comment 5 Martin Renvoize 2019-06-18 09:50:38 UTC
Thanks for grabbing this one Katrin :)
Comment 6 Martin Renvoize 2019-06-18 10:29:31 UTC
Created attachment 90720 [details] [review]
Bug 22653: Remove unimplemented RotationPreventTransfers system preference

This removes the RotationPreventTransfers system preference
from updated and new installations.

To test:
- Verify you have the RotationPreventTransfers pref
- Apply patch and run database update
- Verify the preference no longer exists in your system
  - in the sys pref editor
  - in your database:

SELECT * from systempreferences WHERE variable = "RotationPreventTransfers";

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2019-06-18 10:30:19 UTC
Going straight to QA for this one.. nice clean patch.. PQA
Comment 8 Martin Renvoize 2019-06-19 12:16:45 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Fridolin SOMERS 2019-07-12 13:24:54 UTC
I prefer avoid DB changes in stable branches so I don't push to 19.05.x